MKDTEMP(3)

NAME
mkdtemp - create a unique temporary directory

SYNOPSIS
#include <stdlib.h>

char *mkdtemp(char *template);

DESCRIPTION
The mkdtemp() function generates a uniquely-named temporary directory from template. The last six characters of template must be XXXXXX and these are replaced with a string that makes the directory name unique. The directory is then created with permissions 0700. Since it will be modified, template must not be a string constant, but should be declared as a character array.

RETURN VALUE
The mkdtemp() function returns a pointer to the modified template string on success, and NULL on failure, in which case errno is set appropriately.

ERRORS

EINVAL
    The last six characters of template were not XXXXXX. Now template is unchanged.

Also see mkdir(2) for other possible values for errno.

VERSIONS
Available since glibc 2.1.91.

CONFORMING TO
This function is present on the BSDs.

SEE ALSO
mkdir(2), mkstemp(3), mktemp(3), tempnam(3), tmpfile(3), tmpnam(3)